#include <Encoder rotativo.h>

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_D3, scl=PIN_D2, force_sw, stream=OLED_stream)//parametros I2C

//#define SH1106_128_64
//#define SSD1306_128_64
#define SSD1306_128_32 //DEFINE EL MODELO DE LA PANTALLA OLED

#include "OLED_I2C.c" //libreria oled I2C

#define CLK input(pin_b0)
#define DT input(pin_b1)
#define SW input(pin_b2)

int8 valor = 0;

#INT_EXT2
void Interrupt_LED()
{
   delay_ms(1);//antirrebote
   valor=0;
}

#INT_EXT
void Interrupt_CLK()
{
   delay_ms(2); //antirrebote
   if(CLK)
   {
       if(DT)
       {
         valor--;
       }else
       {
         valor++;
       }
   }
}

void mostrar()
{
   char texto[20];
   
   sprintf(texto,"Val:%03u",valor);
   OLED_DrawText(1,1,texto,1);

   OLED_Display();//Muestra la informacin en pantalla;
}

void main()
{
   OLED_Begin();
   OLED_ClearDisplay();

   enable_interrupts(GLOBAL);
   enable_interrupts(INT_EXT);
   enable_interrupts(INT_EXT2_H2L);
   while(TRUE)
   {
      mostrar();
   }

}
